<?php
/**
 * Customizer: Sanitization Callbacks
 *
 * This file demonstrates how to define sanitization callback functions for various data types.
 * 
 * @package   Expert Fitness Trainer
 * @copyright Copyright (c) 2015, WordPress Theme Review Team
 * @license   http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU General Public License, v2 (or newer)
 */

function expert_fitness_trainer_sanitize_checkbox( $expert_fitness_trainer_checked ) {
	return ( ( isset( $expert_fitness_trainer_checked ) && true == $expert_fitness_trainer_checked ) ? true : false );
}

/* Sanitization Text*/
function expert_fitness_trainer_sanitize_text( $expert_fitness_trainer_text ) {
	return wp_filter_post_kses( $expert_fitness_trainer_text );
}

function expert_fitness_trainer_sanitize_choices( $expert_fitness_trainer_input, $expert_fitness_trainer_setting ) {
    global $wp_customize; 
    $expert_fitness_trainer_control = $wp_customize->get_control( $expert_fitness_trainer_setting->id ); 
    if ( array_key_exists( $expert_fitness_trainer_input, $expert_fitness_trainer_control->choices ) ) {
        return $expert_fitness_trainer_input;
    } else {
        return $expert_fitness_trainer_setting->default;
    }
}

function expert_fitness_trainer_sanitize_select( $expert_fitness_trainer_input, $expert_fitness_trainer_setting ) {
  $expert_fitness_trainer_input = sanitize_key( $expert_fitness_trainer_input );
  $expert_fitness_trainer_choices = $expert_fitness_trainer_setting->manager->get_control( $expert_fitness_trainer_setting->id )->choices;
  return ( array_key_exists( $expert_fitness_trainer_input, $expert_fitness_trainer_choices ) ? $expert_fitness_trainer_input : $expert_fitness_trainer_setting->default );
}

function expert_fitness_trainer_sanitize_dropdown_pages( $expert_fitness_trainer_page_id, $expert_fitness_trainer_setting ) {
  // Ensure $expert_fitness_trainer_input is an absolute integer.
  $expert_fitness_trainer_page_id = absint( $expert_fitness_trainer_page_id );
  // If $expert_fitness_trainer_page_id is an ID of a published page, return it; otherwise, return the default.
  return ( 'publish' == get_post_status( $expert_fitness_trainer_page_id ) ? $expert_fitness_trainer_page_id : $expert_fitness_trainer_setting->default );
}
function expert_fitness_trainer_sanitize_copyright_position( $expert_fitness_trainer_input ) {
    $valid = array( 'right', 'left', 'center' );

    if ( in_array( $expert_fitness_trainer_input, $valid, true ) ) {
        return $expert_fitness_trainer_input;
    } else {
        return 'right';
    }
}
// Sanitization callback function for logo width
function expert_fitness_trainer_sanitize_logo_width($expert_fitness_trainer_input) {
    $expert_fitness_trainer_input = absint($expert_fitness_trainer_input); // Convert to integer
    // Ensure the value is between 1 and 150
    return ($expert_fitness_trainer_input >= 1 && $expert_fitness_trainer_input <= 300) ? $expert_fitness_trainer_input : 150; // Default to 270 if out of range
}